<div class="clearfix row">
  <div class="float-left col-sm-10"><h3 style="margin-top: 10px">Services</h3></div>
  <div class=" float-right col-sm-2 text-center">
    <i id="refreshButton" class="zmdi zmdi-refresh"   matTooltip="Refresh" matTooltipPosition="before" (click)="getServicesHealth();"></i>
    <!--<div class="row d-flex justify-content-center">
      <button class="btn active btn-primary waves-light refreshBtn" title="Refresh" mdbWavesEffect (click)="getServicesHealth();"><i class="zmdi zmdi-refresh"></i></button>
    </div>-->
  </div>
</div>

<div class="row" style="margin-top: 10px">
  <div class="col-sm-6 col-md-6 col-lg-3" *ngFor="let asset of allServiceAssets">
    <app-asset-card  [serviceAssetConfigDetails]="serviceAssetConfigTypes" [assetData]="asset"
                     [showCloseBtn]="false" [showGroupBtn]="false" [upadtedCartSpecificDetails]="upadtedCartSpecificDetails" [updatedIndividualSericeStatus]="updatedIndividualSericeStatus"
                     [isCardClickable]="true" [assetDetailsAfterLinkingUpdated]="assetDetailsAfterLinkingUpdated"
                     (editAsset)="editServiceAsset($event)" [showStatusOnAssetCard]="true"
                     [config]="serviceAssetConfigTypes"></app-asset-card>
  </div>
</div>

<app-add-asset-list *ngIf="SUBJECT.SERVICE| can:ACTIONS.WRITE" [assetTypesWithLabelsData]="serviceAssetConfigTypes" (assetToAdd)="assetTypeToAdd($event)"></app-add-asset-list>
<div *ngIf="showSlider">
  <app-right-sidebar [assetData]="serviceAssetData" [assetLinkedToServiceDetails]="assetsLinkedToServiceDetails"
                                           [serviceAssetConfigDetails]="serviceAssetConfigTypes" [allServersStats]="allServersStatsArray"
                                           [isLinkDelinkAction]="linkDelinkAction" [assetConfigDetails]="assetConfigDetails"
                                           [showCircularLoaderValue]="showCircularLoaderValue" [resetFormData]="resetFormData"
                                           [isAssetDeregisteredSuccess]="isAssetDeregisteredSuccess"
                                           [isServerManageActionSuccess]="isServerManageActionSuccess"
                                           (delinkAssetDetailsToMainComponent)="delinkAsset($event)"
                                           (linkAssetDetailsToMainComponent)="linkAssetToService($event)"
                                           (syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"
                                           (deregisterAssetToMainComponent)="deregisterServiceAsset($event)"
                                           (manageServicesObjectToMainComponent)="manageServices($event)"></app-right-sidebar></div>

<app-right-sider-to-add [assetSelectedType]="serviceAssetSelectedType" [resetAddAssetFormValue]="resetAddAssetFormValue"
                        (savedAssetCardToAssetList)="savedServiceAssetCard($event)"
                        (assetRegistrationErrorMsgToAssetList)="assetRegistrationErrorMsg($event)" ></app-right-sider-to-add>


<div *ngIf="isShowAsset">
  <app-loader></app-loader>
</div>

<app-alert-popup [assetRegisterErrorMsg]="assetRegisterErrorMessages" [serverAction]="serverAction" (confirmedDeregisteringAsset)="confirmedDeregisteringAsset($event)"
                 (confirmedlink)="confirmedlink($event)" (confirmedDelink)="confirmedDelink($event)" (confirmedServerAction)="confirmedServerAction($event)"></app-alert-popup>

<button class="btn showAssetRegisterErrorMsgBtn" id="assetRegisterErrorMsgBtn" style="display: none"></button>
<div class="messagePopup savedServiceSuccessfully">
  Saved Service Successfully
</div>
<div class="messagePopup deregisterServiceSuccessfully">
  Deregistered Service Successfully
</div>
<div class="messagePopup updatedServiceSuccessfully">
  Updated Service Successfully
</div>
<div class="messagePopup serviceActionUpdated">
  Service {{serviceStatus}}
</div>
